Subject: Re: [patch net-next rfc 3/7] net: rtnetlink: add commands to add and delete alternative ifnames

From: Jiri Pirko <[email-masked]>
Date: Fri, 13 Sep 2019 10:21:21 +0200

Thu, Sep 12, 2019 at 01:59:42PM CEST, [email-masked] wrote:
>Fri, Aug 30, 2019 at 07:03:42PM CEST, [email-masked] wrote:
>>Fri, Aug 30, 2019 at 04:35:23PM CEST, [email-masked] wrote:
>
>[...]
>
>>>
>>>so to summarize, i think we have discussed the following options to
>>>update a netlink list attribute so far:
>>>(a) encode an optional attribute/flag in the list attribute in
>>>RTM_SETLINK to indicate if it is a add or del

If we do this, how do you imagine this is going to be used from cmdline?
ip link set ? How exactly?

Thanks!

>>>(b) Use a flag in RTM_SETLINK and RTM_DELINK to indicate add/del
>>>(close to bridge vlan add/del)
>>
>>Nope, bridge vlan add/del is done according to the cmd, not any flag.
>>
>>
>>>(c) introduce a separate generic msg type to add/del to a list
>>>attribute (IIUC this does need a separate msg type per subsystem or
>>>netlink API)
>
>Getting back to this, sorry.
>
>Thinking about it for some time, a,b,c have all their issues. Why can't
>we have another separate cmd as I originally proposed in this RFC? Does
>anyone have any argument against it? Could you please describe?
>
>Because otherwise, I don't feel comfortable going to any of a,b,c :(
>
>Thanks!
>